Public Attributes

# IFsObjInfo Interface Reference

Abstract parent interface for VirtualBox file system object information. More...

Inheritance diagram for IFsObjInfo:

List of all members.

## Public Attributes
readonly attribute long long | accessTime
| Time of last access (st_atime).
readonly attribute long long | allocatedSize
| Disk allocation size (st_blocks * DEV_BSIZE).
readonly attribute long long | birthTime
| Time of file birth (st_birthtime).
readonly attribute long long | changeTime
| Time of last status change (st_ctime).
readonly attribute unsigned long | deviceNumber
| The device number of a character or block device type object (st_rdev).
readonly attribute wstring | fileAttributes
| File attributes.
readonly attribute unsigned long | generationId
| The current generation number (st_gen).
readonly attribute unsigned long | GID
| The group the filesystem object is assigned (st_gid).
readonly attribute wstring | groupName
| The group name.
readonly attribute unsigned long | hardLinks
| Number of hard links to this filesystem object (st_nlink).
readonly attribute long long | modificationTime
| Time of last data modification (st_mtime).
readonly attribute wstring | name
| The object's name.
readonly attribute long long | nodeId
| The unique identifier (within the filesystem) of this filesystem object (st_ino).
readonly attribute unsigned long | nodeIdDevice
| The device number of the device which this filesystem object resides on (st_dev).
readonly attribute long long | objectSize
| The logical size (st_size).
readonly attribute FsObjType | type
| The object type.
readonly attribute unsigned long | UID
| The user owning the filesystem object (st_uid).
readonly attribute unsigned long | userFlags
| User flags (st_flags).
readonly attribute wstring | userName
| The user name.

## Detailed Description

Abstract parent interface for VirtualBox file system object information.

This can be information about a file or a directory, for example.

Interface ID:
  `{4047BA30-7006-4966-AE86-94164E5E20EB}`

## Member Data Documentation

readonly attribute long long IFsObjInfo::accessTime

Time of last access (st_atime).

readonly attribute long long IFsObjInfo::allocatedSize

Disk allocation size (st_blocks * DEV_BSIZE).

readonly attribute long long IFsObjInfo::birthTime

Time of file birth (st_birthtime).

readonly attribute long long IFsObjInfo::changeTime

Time of last status change (st_ctime).

readonly attribute unsigned long IFsObjInfo::deviceNumber

The device number of a character or block device type object (st_rdev).

readonly attribute wstring IFsObjInfo::fileAttributes

File attributes.

Not implemented yet.

readonly attribute unsigned long IFsObjInfo::generationId

The current generation number (st_gen).

readonly attribute unsigned long IFsObjInfo::GID

The group the filesystem object is assigned (st_gid).

readonly attribute wstring IFsObjInfo::groupName

The group name.

readonly attribute unsigned long IFsObjInfo::hardLinks

Number of hard links to this filesystem object (st_nlink).

readonly attribute long long IFsObjInfo::modificationTime

Time of last data modification (st_mtime).

readonly attribute wstring IFsObjInfo::name

The object's name.

readonly attribute long long IFsObjInfo::nodeId

The unique identifier (within the filesystem) of this filesystem object (st_ino).

readonly attribute unsigned long IFsObjInfo::nodeIdDevice

The device number of the device which this filesystem object resides on (st_dev).

readonly attribute long long IFsObjInfo::objectSize

The logical size (st_size).

For normal files this is the size of the file. For symbolic links, this is the length of the path name contained in the symbolic link. For other objects this fields needs to be specified.

readonly attribute FsObjType IFsObjInfo::type

The object type.

See FsObjType for more.

readonly attribute unsigned long IFsObjInfo::UID

The user owning the filesystem object (st_uid).

readonly attribute unsigned long IFsObjInfo::userFlags

User flags (st_flags).

readonly attribute wstring IFsObjInfo::userName

The user name.